/***文档注释***********************************************
 * 作者            ：      易鑫
 * 创建日期     ：2018-02-6
 * 描述            ：成品成分判定记录表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.JudgeChemicalMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JUDGE_CHEMICAL", namespace=JudgeChemicalMapper.class)
public class JudgeChemical extends BaseVO implements Serializable {

	/** 成分判定索引号 */
	@Column("CHEMICAL_INDEX")
	private String chemicalIndex;

	/** 试样号 */
	@Column("SMP_NO")
	private String smpNo;

	/** 成品成分化验号集合（存在多个的情况下，使用"，"进行分割） */
	@Column("ASSAY_NO_CP")
	private String assayNoCp;

	/** 熔炼成分化验号集合（存在多个的情况下，使用"，"进行分割） */
	@Column("ASSAY_NO_RL")
	private String assayNoRl;

	/** 炉号 */
	@Column("HEAT_NO")
	private String heatNo;

	/** 批号/检验号 */
	@Column("BATCH_NO")
	private String batchNo;

	/** 产线代码 */
	@Column("PLINE_CODE")
	private String plineCode;

	/** 产线名称 */
	@Column("PLINE_NAME")
	private String plineName;

	/** 合同号 */
	@Column("CONTRACT_NO")
	private String contractNo;

	/** 合同行号 */
	@Column("CONTRACT_LINE_SEQ")
	private String contractLineSeq;

	/** CONTRACT_LINE_NO(CONTRACT_PK+4位流水号) */
	@Column("CONTRACT_LINE_NO")
	private String contractLineNo;

	/** 判定结果 */
	@Column("JUDGE_RESULT")
	private String judgeResult;

	/** 判定备注 */
	@Column
	private String memo;

	/** 判定人 */
	@Column("JUDGE_NAME")
	private String judgeName;

	/** 判定时间 */
	@Column("JUDGE_TTIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date judgeTtime;

	public String getChemicalIndex() {
		return this.chemicalIndex;
	}

	public String getSmpNo() {
		return this.smpNo;
	}

	public String getAssayNoCp() {
		return this.assayNoCp;
	}

	public String getAssayNoRl() {
		return this.assayNoRl;
	}

	public String getHeatNo() {
		return this.heatNo;
	}

	public String getBatchNo() {
		return this.batchNo;
	}

	public String getPlineCode() {
		return this.plineCode;
	}

	public String getPlineName() {
		return this.plineName;
	}

	public String getContractNo() {
		return this.contractNo;
	}

	public String getContractLineSeq() {
		return this.contractLineSeq;
	}

	public String getContractLineNo() {
		return this.contractLineNo;
	}

	public String getJudgeResult() {
		return this.judgeResult;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getJudgeName() {
		return this.judgeName;
	}

	public Date getJudgeTtime() {
		return this.judgeTtime;
	}

	public void setChemicalIndex(String chemicalIndex) {
		this.chemicalIndex = chemicalIndex;
	}

	public void setSmpNo(String smpNo) {
		this.smpNo = smpNo;
	}

	public void setAssayNoCp(String assayNoCp) {
		this.assayNoCp = assayNoCp;
	}

	public void setAssayNoRl(String assayNoRl) {
		this.assayNoRl = assayNoRl;
	}

	public void setHeatNo(String heatNo) {
		this.heatNo = heatNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	public void setContractLineSeq(String contractLineSeq) {
		this.contractLineSeq = contractLineSeq;
	}

	public void setContractLineNo(String contractLineNo) {
		this.contractLineNo = contractLineNo;
	}

	public void setJudgeResult(String judgeResult) {
		this.judgeResult = judgeResult;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setJudgeName(String judgeName) {
		this.judgeName = judgeName;
	}

	public void setJudgeTtime(Date judgeTtime) {
		this.judgeTtime = judgeTtime;
	}

}
